Page MenuHomePhabricator

Improve detection of wikitext on paste
Closed, ResolvedPublic8 Story Points

Description

Currently we don't detect multi-line templates (unless they contain other wikitext on a single line, which they often do), or plain extension tags (e.g. <ref>...</ref>).

Event Timeline

Esanders created this task.Mar 3 2016, 10:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2016, 10:47 PM

Change 275193 had a related patch set uploaded (by Esanders):
Wikitext paste: Move MWWikitextStringTransferHandler matchRegExp into a registry

https://gerrit.wikimedia.org/r/275193

Change 275194 had a related patch set uploaded (by Esanders):
Auto-convert pasted ref tags

https://gerrit.wikimedia.org/r/275194

Elitre awarded a token.Mar 6 2016, 6:32 PM
Elitre added a subscriber: Elitre.
Jdforrester-WMF closed this task as Resolved.Mar 7 2016, 4:21 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 275193 merged by jenkins-bot:
Wikitext paste: Move MWWikitextStringTransferHandler matchRegExp into a registry

https://gerrit.wikimedia.org/r/275193

Change 275194 merged by jenkins-bot:
Auto-convert pasted ref tags

https://gerrit.wikimedia.org/r/275194

Change 282901 had a related patch set uploaded (by Esanders):
Fix wikitext conversion of pasted '<ref>'s

https://gerrit.wikimedia.org/r/282901

Change 282901 merged by jenkins-bot:
Fix wikitext conversion of pasted '<ref>'s

https://gerrit.wikimedia.org/r/282901